const app = require('../../utils/util.js');
Page({
  data: {
    active: 0,
    xcpArr: [],
    vType:["理论阵地","我的学院","特色课程","特色管理"]

  },
  goSeevideo(e) {
    let id = e.currentTarget.dataset.item.id
    wx.navigateTo({
      url: '/pages/dbVideo/dbVideo?id=' + id,
    })
  },
  onChange(event) {
    let tag = event.detail.name + 1;
    wx.request({
      method: "POST",
      url: app.globalData.publicUrl + '/wx/course/listByCourseTag?tag=' + tag,
      success: (e) => {
        this.setData({
          xcpArr: e.data.list,
        })
      }
    })
  },
  onLoad: function (options) {
    this.setData({
      active: Number(options.id)
    })
    let _active = this.data.active + 1
    wx.request({
      method: "post",
      url: app.globalData.publicUrl + '/wx/course/listByCourseTag?tag=' + _active,
      success: (e) => {
        this.setData({
          xcpArr: e.data.list,
        })
      }
    })
  }
})